MailScanner

MailScanner Script v2.30 Released

MailScanner have release a new version which includes some major enhancements, some of which I’ve seen improve performance dramatically on servers that receive a lot of spam.Changes in this new release to the script are:

v2.30

MailScanner Script v2.29 Released

Changes in this new release to the script are:v2.29 – New version of MailScanner 4.49.7Upgrades can be done by following upgrade instructions.Details of the MailScanner Changes:

The full Change Log is this:* New Features and Improvements *- Speed improvements for sendmail systems by changing the

OS Updates breaking perl and therefore MailScanner

We have had a lot of reports about MailScanner failing with perl module errors. We’re finding that this has nothing to do with MailScanner at all. It’s because clients are not excluding perl updates from their OS providers update utility (e.g. yum or up2date). There was a recent update to RH based OS’s with a new iteration of perl which fixes some security bugs. Most likely this has downgraded installed version of perl (perhaps v5.8.7) to v5.8.0 which won’t contain all the perl modules needed to run many things including MailScanner, cPanel and it will almost definitely break cPanel stats.The fix is fairly simple:

cd /usr/bin ls -la perl*

establish which version of perl you should be using:

cp -avf perl5.x.x perl

Check it’s correct with:

perl -v

Check that /usr/local/bin/perl is a symlink to /usr/bin/perl. Then stop and restart MailScanner, cPanel and any other daemons running through the perl interpreter.

We are taking a short break and will close the store, helpdesk and email from Wednesday, 30 November through Tuesday, 6 December 2022.

If you purchase a license or Service Package before the closing date and require installation, please be sure to leave at least 24 hours before then for the work to be done. Otherwise, any work will be scheduled for after this period. We will reopen on Wednesday, 7 December 2022.